# mongoc_client_set_apm_callbacks()

## Synopsis

    bool
    mongoc_client_set_apm_callbacks (mongoc_client_t *client,
                                     mongoc_apm_callbacks_t *callbacks,
                                     void *context);

Register a set of callbacks to receive Application Performance Monitoring events.

The callbacks are copied by the client and may be destroyed at any time after.

## Parameters

- `client`: A mongoc_client_t.
- `callbacks`: Optional mongoc_apm_callbacks_t. Pass NULL to clear all callbacks.
- `context`: Optional pointer to include with each event notification.

## Returns

Returns true on success. If any arguments are invalid, returns false and logs an error.

## See Also

Introduction to Application Performance Monitoring